## pokemmo 1.4.3

=== Makefile ===
###############################################################################
#  This file is part of PokeMMO, is an emulator of several popular
#  console games with additional features and multiplayer capabilities.
#
#  For license and copyright information, it can be found in the LEGAL file.
###############################################################################

EXE = pokemmo
SRCDIR = src
PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/games
ICNDIR = $(PREFIX)/share/pixmaps
APPDIR = $(PREFIX)/share/applications

SCRIPT = pokemmo.sh
ICON = pokemmo.png
DESKTOP = pokemmo.desktop

CP = cp -f
RM = rm -rf
MD = mkdir -p
ECHO = echo
CHMOD = chmod 755

all:
	@$(CP) "$(SRCDIR)/$(SCRIPT)" "$(EXE)"
	@$(CHMOD) "$(EXE)"
	@$(ECHO) "Created executable script successfully"

clean:
	@$(RM) $(EXE)
	@$(ECHO) "Removed script executable successfully"

install: all
	@$(MD) "$(BINDIR)"
	@$(CP) "$(EXE)" "$(BINDIR)"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(SRCDIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(SRCDIR)/$(DESKTOP)" "$(APPDIR)"
	@$(ECHO) "Installed the files successfully"

uninstall: clean
	@$(RM) "$(BINDIR)/$(EXE)"
	@$(RM) "$(ICNDIR)/$(ICON)"
	@$(RM) "$(APPDIR)/$(DESKTOP)"
	@$(ECHO) "Successfully removed"

.PHONY: all clean install uninstall

=== debian/changelog ===
pokemmo (1.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #884576)

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 04 Jan 2018 17:00:01 -0200

=== debian/control ===
Source: pokemmo
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://pokemmo.eu
Vcs-Git: https://salsa.debian.org/debiangames-team/pokemmo.git
Vcs-Browser: https://salsa.debian.org/debiangames-team/pokemmo

Package: pokemmo
Architecture: all
Depends: default-jre, openssl, zenity, ${misc:Depends}
Description: Multiplayer online game based on the Pokemon universe
 PokeMMO is an emulator of several popular console games with additional
 features and multiplayer capabilities.
 .
 But you can face other players and even form groups with your friends,
 do joint battles and group missions.
 .
 You can call them to duel with you or even watch the fight with other people.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
	https://github.com/coringao/pokemmo/releases .*/(\d\S+)\.tar\.gz
